Name:           python-pystac
Version:        1.9.0
Release:        %autorelease
Summary:        Python library for working with the SpatioTemporal Asset Catalog (STAC) specification

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        Apache-2.0
URL:            https://github.com/stac-utils/pystac
Source:         %{pypi_source pystac}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pystac' generated automatically by pyp2spec.}


%description %_description

%package -n     python3-pystac
Summary:        %{summary}

%description -n python3-pystac %_description


%prep
%autosetup -p1 -n pystac-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%pyproject_check_import -t


%files -n python3-pystac -f %{pyproject_files}


%changelog
%autochangelog